{% extends 'vagasifrn/base.html' %}

{% block titulo %}Formulário de Login{% endblock %}

{% block principal %}
    {% if form.errors %}
        <p>Usuário e senha digitados não correspondem a um usuário
        válido do sistema. Tente novamente!</p>
    {% endif %}
    {% if next %}
        {% if user.is_authenticated %}
            <p>O usuário logado não está autorizado a acessar a referida
            página. Faça o login com um usuário que tenha essa permissão
            para continuar.</p>
        {% else %}
            <p>Por favor, faça o login para visualizar a página desejada.</p>
        {% endif %}
    {% endif %}
    <form method="post" action="{% url 'login' %}">
        {% csrf_token %}
        <p>Login: {{ form.username }}</p>
        <p>Senha: {{ form.password }}</p>
        <p><input type="submit" value="Efetue o Login"/></p>
        <input type="hidden" name="next" value="{{ next }}">
    </form>
{% endblock %}